Rename or archive an existing custom prompt-attribute
curl --request PATCH \
--url https://openlens.com/api/projects/{id}/prompt-attributes \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"nextValue": "<string>",
"archived": true
}
'import requests
url = "https://openlens.com/api/projects/{id}/prompt-attributes"
payload = {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"nextValue": "<string>",
"archived": True
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
id: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
nextValue: '<string>',
archived: true
})
};
fetch('https://openlens.com/api/projects/{id}/prompt-attributes', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{}{
"error": "<string>",
"code": "<string>"
}{
"error": "<string>",
"code": "<string>"
}{
"error": "<string>",
"code": "<string>"
}{
"error": "<string>",
"code": "<string>"
}{
"error": "<string>",
"code": "<string>"
}{
"error": "<string>",
"code": "<string>"
}Resources
Rename or archive an existing custom prompt-attribute
PATCH
/
projects
/
{id}
/
prompt-attributes
Rename or archive an existing custom prompt-attribute
Was this page helpful?
⌘I